#!perl
package SDL::Palette;
use strict;
use warnings;
require Exporter;
require DynaLoader;
our @ISA = qw(Exporter DynaLoader);
bootstrap SDL::Palette;

1;

__END__

=pod

=head1 NAME

SDL::Palette - a perl extension

=head1 DESCRIPTION

L<SDL::Palette> provides an interface to the C<SDL_Palette> structures,
and can be used to set the color values of an existing palette's indexes.

=head1 METHODS

=head2 ncolors ( )

Fetches the number of colors in palette

=head2 colors ( index )

Fetches an array of colors in palette

=head2 color_index ( index )

Fetches the SDL_Color at the provide index in palette

=head2 size

Returns the size of the palette.


=head1 SEE ALSO

L<SDL::Color> L<SDL::Surface>

=cut
